# Get Venue Room Option List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getVenueRoomOptionList`

Get a list of room options for a venue.

#### Request Body

| Name    | Type    | Description                                                                                                       |
| ------- | ------- | ----------------------------------------------------------------------------------------------------------------- |
| venueId | integer | The unique id of the venue to which the room options belong                                                       |
| start   | integer | The starting result of the page. Note this is zero based (i.e. sending start=0 will start from the first result.) |
| perPage | integer | The number of booking accomodation groups to fetch                                                                |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 2,
        "start": 0,
        "perPage": 100,
        "count": 2
    },
    "results": [
        {
            "id": 1,
            "venueId": 1,
            "name": "Test Room Option 1",
            "description": "Test Room Option 1",
            "price": 100,
            "priceExcludedTaxIds": [1],
            "cost": 100,
            "costExcludedTaxIds": [1],
            "costcenterId": null,
            "createdDate": "2018-08-08 12:37:14 UTC",
            "modifiedDate": "2018-08-08 12:37:14 UTC"
        },
        {
            "id": 2,
            "venueId": 1,
            "name": "Test Room Option 2",
            "description": "Test Room Option 2",
            "price": 100,
            "priceExcludedTaxIds": [1],
            "cost": 100,
            "costExcludedTaxIds": [1],
            "costcenterId": null,
            "createdDate": "2018-08-08 18:21:59 UTC",
            "modifiedDate": "2018-08-08 18:21:59 UTC"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of room options the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.

### Venue Room Option

| Property            | Type              | Description                                                                                                            |
| ------------------- | ----------------- | ---------------------------------------------------------------------------------------------------------------------- |
| id                  | integer           | The unique id of the room option                                                                                       |
| venueId             | integer           | The unique id of the venue to which the room option belongs                                                            |
| name                | string            | The name of the room option (e.g. "Breakfast")                                                                         |
| description         | string            | The description of the room option. This can be html formatted text                                                    |
| price               | number            | The sale price of the room option. The amount either includes or excludes tax depending on how the venue is configured |
| priceExcludedTaxIds | array of integers | The unique ids of the taxes that are excluded from price                                                               |
| cost                | number            | The cost of the room option. The amount either includes or excludes tax depending on how the venue is configured       |
| costExcludedTaxIds  | array of integers | The unique ids of the taxes that are excluded from cost                                                                |
| costcenterId        | integer           | The unique id of the cost center assigned to the room option                                                           |
| createdDate         | datetime          | The date & time the room option was created                                                                            |
| modifiedDate        | datetime          | The date & time the room option was last modified                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-venue-room-option-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
